// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  extends: 'node_modules/@xeovalyte/nuxt-xvui',
  devtools: true,
  ssr: false,
  modules: [
    '@nuxtjs/tailwindcss',
    '@xeovalyte/nuxt-xvtoast',
    'nuxt-icon',
    '@nuxtjs/tailwindcss',
    '@vueuse/nuxt',
    '@nuxt/image-edge'
  ],
  runtimeConfig: {
    discordId: '',
    discordSecret: '',
    discordHost: '',
    jwtSecret: '',
    dbUrl: '',
    mineckerHost: '',
    mineckerApiKey: '',
    rconPassword: '',
    rconPort: '25575',
    rconHost: 'localhost',
    redirectURI: 'http://localhost:3000/api/auth',
    public: {
      redirectUrl: 'https://discord.com/api/oauth2/authorize?client_id=1052974736432443432&redirect_uri=http%3A%2F%2Flocalhost%3A3000%2Fapi%2Fauth&response_type=code&scope=identify',
    }
  }
})
